Displays time in several different formats at the same time

RESOLVED FIXED in Bugzilla 2.12

Status

()

RESOLVED FIXED
18 years ago
6 years ago

People

(Reporter: bratell, Assigned: tara)

Tracking

unspecified
Bugzilla 2.12

Details

Attachments

(2 attachments)

(Reporter)

Description

18 years ago
When doing a search with a date column on I notice that the date formats are in
(at least) three completely different formats. It's the normal (ISO) YYYY-MM-DD,
but also a MM-DD or if it is DD-MM and one english textual date weekday HH:MM. 

It get's confusing to have them all mixed up and in the case of "03-02" I don't
know it's 2 March or 3 February (or is it maybe the time slightly malformed,
03:02 today?).

I would suggest to use the same format for all posts and if you really want to
demonstrate cool technology making it a pref so that people can turn it on on
will. For most uses, this will be a usability problem since you have to spend
extra time parsing the date all the time because you don't know (your brain
doesn't) how to read the date until you have read it, i.e. to use computer
language you have to make two passes over it instead of one.
(Reporter)

Comment 1

18 years ago
Example:
ID   Changed 
5335 2000-11-07
8709 01-18 
28146 12-20
40898 Fri 14:53
I had the same complaint at the time, but I checked it in anyway, because two 
other reputable bugzilla folks r='ed the patch.

I think this deserves another look before 2.12 ships.
Target Milestone: --- → Bugzilla 2.12

Comment 3

18 years ago
I was the one who made that change (bug 66058) and now I agree that this is
confusing.  Maybe we should just drop the MM-DD display and use YYYY-MM-DD there,
too?  This would be almost a one-line change.
(Reporter)

Comment 4

18 years ago
That would be an certain improvement. 

As for leaving the "Friday 12:23" type in, I'm a little uncertain. It might be
good for certain times and I don't won't to dictate for others just because I
like the date column to be easily parseble.

Comment 5

18 years ago
Why not let the user decide on date format, perhaps giving options like
"Date only", "Date and time", "Automatic"? (Where "Automatic" is the bug 66058 
behaviour, but excluding the confusing mm-dd format). This would also allow 
users who wanted to see it to have access to the changed time of a bug older 
than a week.

Bugzilla already lets users decide whether they want the summary truncated or 
not, so column options already have a precedent...

Comment 6

18 years ago
That would definitely be a good thing (e.g. I'd like to be able to choose the
timezone, too), but it would be much more work than this small change was.
But that's a new bug (or better, feature request), so please file one if you
like.  Let's keep this bug on just one issue.

The current display behaviour is:

If changed within the last 18 hours: time only (12:24:34)
If changed within the last   6 days: weekday and time (Fri 12:24)
If changed within the last 100 days: month and day (01-19)
If changed later: previous behaviour (2001-01-19)

What's wrong with that, except that the third case (mm-dd) is a bit confusing?
For dates within the last week, I find the weekday more useful than the month
and day, that's why I chose it.
(Reporter)

Comment 7

18 years ago
I realized one more argument for avoiding mixing of 
"Thursday" and "2001-03-05"

That way you have to remember which date which weekday was on (which is hard to
do on the fly) since otherwise you can't relate between the different dates
which you could otherwise: "Ah, that was two days before that other thing".

I like what slee@uk.bnsmc.com suggested, but as a user pref. How hard is it to
access user prefs in the code?

If it is like:

if user.PreferredDataFormat() == 1 then 
    Print theDate.AsDay()
else if user.PreferredDataFormat() == 2 then
    Print theDate.AsDayAndTime()
else
   Print theData.Magic()

I see no reason not to implement it (apart from having to do the UI in the prefs).

Anyway, if you can disable MM-DD and leave this bug open for the rest, I think
that might be enough for 2.12.
(Assignee)

Comment 8

18 years ago
Will work with Dave on this.
Status: NEW → ASSIGNED

Comment 9

18 years ago
The different time formats are quite nice when you have buglists sorted by one
of the date/time fileds.... although it is more difficult to mentally parse
otherwise.  (I didn't realize how nice this change was until I clicked that
header link).

Comment 10

18 years ago
Created attachment 27776 [details] [diff] [review]
patch (diff -ubB == no whitespace change)

Comment 11

18 years ago
Created attachment 27777 [details] [diff] [review]
patch (diff -u, i.e. also removing unnecessary whitespace at line endings)

Comment 12

18 years ago
Attached the patch I suggested above (2001-03-12 09:49), although I personally
prefer the way it currently works (but I don't care that much).  Daniel, would
that be enough for you to fix this bug?

If you want a user pref, please file a new bug for that.
Keywords: patch, review
(Reporter)

Comment 13

18 years ago
That is the worst case, so it would be a big win just to get rid of that. 

I just today noticed that there are a fourth way Bugzilla displays dates (yes I
read your post badly, sorry), it's with just time. I would argue that that mode
is also broken, and could at least be merged with the "weekday time" mode. I see
no reason to have another date mode just for bugs changes recently. Also
remember that we have many time zones so just a time might be confusing.

Comment 14

18 years ago
Times are displayed everywhere in Bugzilla, and it's already confusing.  That's
nothing new (I have to add nine hours to all times diplayed here).  There's
probably already a bug filed about adding a pref for the time zone.

That being said, this part was the most important thing to me when fixing that
bug.  I wanted to see in a buglist of recently changed bugs which one was changed
when.  Previously all bug had the same date there (today or yesterday).
OK, re-reading the comments here, I think it's been generally agreed that getting 
rid of the month-day only version will make this 2.12 material.  That's what this 
patch does.

This has been checked in.  r= justdave
Any additional changes you want to request for this (like the preferences for 
it), please file a new bug.
Status: ASSIGNED → RESOLVED
Last Resolved: 18 years ago
Resolution: --- → FIXED
Moving closed bugs to Bugzilla product
Component: Bugzilla → Bugzilla-General
Product: Webtools → Bugzilla
Version: Bugzilla 2.11 → unspecified
QA Contact: matty_is_a_geek → default-qa
You need to log in before you can comment on or make changes to this bug.